Subject: Re: [PATCH v3] stash: infer "push" when push-specific options are given

From: Mirko Faina <[email-masked]>
Date: Thu, 9 Apr 2026 21:37:53 +0200

On Fri, Apr 10, 2026 at 12:52:06AM +0530, Deveshi Dwivedi wrote:
> > "create" accepts "-m" as well so that's not unique either. I agree with
> > Junio's suggestion in the link above that we should assume "push" when
> > there is no subcommand given and error out if we see an unsupported
> > option. That does not require the arguments to be unique to "push". A
> > complete implementation would also support negated options like "git
> > stash --no-stage [<pathspec>]". What is implemented in this patch maybe
> > sufficient in practice but it would be good to mention the limitations
> > in the commit message.
> >
> > Thanks
> >
> > Phillip
> Sure, I will send a v4 with an updated commit message. Thank you.

I think the documentation should change as well as it can be ambiguous.
>From reading "push-specific options" I'm assuming it would work only
with options that are unique to push, which is not the case, while
others might assume the correct behaviour which works with any option
that push accepts.